Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Interaction.Monad

Synopsis

- type IM = TCMT (InputT IO)
- readline :: String -> IM (Maybe String)
- runIM :: IM a -> TCM a

# Documentation

type IM = TCMT (InputT IO)

Interaction monad.

readline :: String -> IM (Maybe String)

Line reader. The line reader history is not stored between sessions.

runIM :: IM a -> TCM a